TokyoTyrant::out
TokyoTyrant::putCat
TokyoTyrant
PHP Manual

# TokyoTyrant::put

(PECL tokyo_tyrant >= 0.1.0)

TokyoTyrant::put — Insère des valeurs

### Description

public TokyoTyrant TokyoTyrant::put ( mixed `$keys` [, string `$value` = NULL ] )

Insère une ou plusieurs paires clé-valeur dans la base de données. Si le paramètre `keys` est une chaîne de caractères, alors le second paramètre définira la valeur. Le second paramètre est le mandataire si le paramètre `keys` est une chaîne de caractères. Si la clé existe, la valeur sera écrasée.

### Liste de paramètres

`keys`

  Une clé ou un tableau de paires clé-valeur

`value`

  La valeur lorsqu'une seule clé est utilisée

### Valeurs de retour

Cette méthode retourne une référence à l'objet courant, et lance une exception TokyoTyrantException si une erreur survient.

### Exemples

Exemple #1 Exemple avec TokyoTyrant::put()

`<?php
/* Connexion à la base de données sur le port par défaut */
$tt = new TokyoTyrant("localhost");
/* Insère une seule paire clé-valeur */
$tt->put("key", "value");
/* Insère plusieurs paires clé-valeur, la nouvelle valeur écrasera l'ancienne */
$tt->put(array("key1" => "value1", "key" => "value2"));
/* Récupère une clé */
echo $tt->get("key");
?>`

L'exemple ci-dessus va afficher :

    value2

### Voir aussi

- TokyoTyrant::putKeep() - Enregistre un nouvel enregistrement
- TokyoTyrant::putCat() - Concatène un enregistrement

TokyoTyrant::out
TokyoTyrant::putCat
TokyoTyrant
PHP Manual